## org.hibernate.criterion
Class Junction

    java.lang.Object
      org.hibernate.criterion.Junction

All Implemented Interfaces:
  Serializable, Criterion

Direct Known Subclasses:
  Conjunction, Disjunction

    public class Junction

extends Object
implements Criterion

A sequence of a logical expressions combined by some associative logical operator

See Also:
  Serialized Form

Nested Class Summary
`static class` `Junction.Nature`

Constructor Summary
`protected` `Junction(Junction.Nature nature)`

Method Summary
`Junction` `add(Criterion criterion)`
`Iterable<Criterion>` `conditions()`
`Junction.Nature` `getNature()`
`TypedValue[]` `getTypedValues(Criteria crit, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`String` `toSqlString(Criteria crit, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Junction

    protected Junction(Junction.Nature nature)

Method Detail

### add

    public Junction add(Criterion criterion)

### getNature

    public Junction.Nature getNature()

### conditions

    public Iterable<Criterion> conditions()

### getTypedValues

    public TypedValue[] getTypedValues(Criteria crit,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `crit` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The types values (for binding)
  Throws:
    `HibernateException` - Problem determining types.

### toSqlString

    public String toSqlString(Criteria crit,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Parameters:
    `crit` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The generated SQL fragment
  Throws:
    `HibernateException` - Problem during rendering.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.